Subject: bug#1051: 23.0.60; rmail decoding bug

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Sep 2008 10:32:08 +0300

> From: "Richard M. Stallman" <[email-masked]>
> CC: [email-masked], [email-masked],
> 	[email-masked]
> Date: Tue, 30 Sep 2008 00:55:08 -0400
> 
> I've discovered that the problem does not happen when I visit that
> message directly with C-u M-x rmail RET FILENAME RET.
> 
> It does happen when I use C-u g FILENAME to get that message
> as new mail into my RMAIL file.
> 
> Both cases are the same with and without -Q.
> 
> This unfortunately leaves me with no test case I can send.

I can reproduce this by reading the test case you sent twice: once
with "C-u M-x rmail", then with "C-u g".  The second time I get the
message displayed incorrectly.

I will debug this and see what I find.